
/**
 * DataSnoopSearchObject.java
 * used to store specific information about a spectra data object
 *
 * Created: May 25, 2004
 *
 * @author Nathan Stevens
 * @version 0.1 1/16/05
 */
import java.io.File;

public class DataSnoopSearchObject {
  private String name;
  private String type;
  private String date;
  private String notes;
  private String page;
  private int index;
  private File sdlFile;
  private boolean shown = true; // see whether this should be displayed
  
  public DataSnoopSearchObject(String name, String type, String date, String notes,
    String page, File sdlFile, int index) {
    
    this.name = name;
    this.type = type;
    this.date = date;
    this.notes = notes;
    this.page = page;
    this.sdlFile = sdlFile;
    this.index = index;
  }
  
  // Method to return the searhc objects name
  public String getName() {
    return name;
  }
  
  // Method to get type
  public String getType() {
    return type;
  }
  
  // Method to get date
  public String getDate() {
    return date;
  }
  
  // Method to see whether to display this object or not
  public boolean isShown() {
    return shown;
  }
  
  // Method to set whether to display this object
  public void setShown(boolean b) {
    shown = b;
  }
  
  // Method to get date
  public String getNotes() {
    return notes;
  }
  
  // Method to get the page number
  public String getPage() {
    return page;
  }
  
  // Method to return the sdl file this object was found in
  public File getSDLFile() {
    return sdlFile;
  }
  
  // Method to get the name of the sdl file
  public int getIndex() {
    return index;
  }
  
  // The toString method
  public String toString() {
    return name;
  }
}//--end class DataSnoopSearchObject
